=== modified file 'lib/lp/bugs/model/structuralsubscription.py'
--- lib/lp/bugs/model/structuralsubscription.py	2012-01-04 14:52:11 +0000
+++ lib/lp/bugs/model/structuralsubscription.py	2012-01-04 17:46:45 +0000
@@ -479,14 +479,14 @@
     def getSubscriptions(self, subscriber=None):
         """See `IStructuralSubscriptionTarget`."""
         from lp.registry.model.person import Person
-        clauses = [StructuralSubscription.subscriberID==Person.id]
+        clauses = [StructuralSubscription.subscriberID == Person.id]
         for key, value in self._target_args.iteritems():
             clauses.append(
-                getattr(StructuralSubscription, key)==value)
+                getattr(StructuralSubscription, key) == value)
 
         if subscriber is not None:
             clauses.append(
-                StructuralSubscription.subscriberID==subscriber.id)
+                StructuralSubscription.subscriberID == subscriber.id)
 
         store = Store.of(self.__helper.pillar)
         return store.find(
@@ -882,7 +882,7 @@
             group_by=(BugSubscriptionFilter.id,),
             having=Count(
                 SQL('CASE WHEN BugSubscriptionFilterTag.include '
-                    'THEN BugSubscriptionFilterTag.tag END'))==0)
+                    'THEN BugSubscriptionFilterTag.tag END')) == 0)
     else:
         # The bug has some tags.  This will require a bit of fancy
         # footwork. First, though, we will simply want to leave out

=== modified file 'lib/lp/bugs/model/tests/test_bug.py'
--- lib/lp/bugs/model/tests/test_bug.py	2012-01-04 15:18:16 +0000
+++ lib/lp/bugs/model/tests/test_bug.py	2012-01-04 17:46:45 +0000
@@ -627,7 +627,7 @@
         # If the bug is for a private project, then other direct subscribers
         # should be unsubscribed.
 
-        (bug, bug_owner,  bugtask_a, bugtask_b, default_bugtask) = (
+        (bug, bug_owner, bugtask_a, bugtask_b, default_bugtask) = (
             self.createBugTasksAndSubscribers())
         initial_subscribers = set((
             self.factory.makePerson(), bugtask_a.owner, bug_owner,
@@ -660,7 +660,7 @@
         # If the bug is for a private project, then other direct subscribers
         # should be unsubscribed.
 
-        (bug, bug_owner,  bugtask_a, bugtask_b, default_bugtask) = (
+        (bug, bug_owner, bugtask_a, bugtask_b, default_bugtask) = (
             self.createBugTasksAndSubscribers(private_security_related=True))
         initial_subscribers = set((
             self.factory.makePerson(), bug_owner,
@@ -691,10 +691,10 @@
         # If the bug is for a private project, then other direct subscribers
         # should be unsubscribed.
 
-        (bug, bug_owner,  bugtask_a, bugtask_b, default_bugtask) = (
+        (bug, bug_owner, bugtask_a, bugtask_b, default_bugtask) = (
             self.createBugTasksAndSubscribers(private_security_related=True))
         initial_subscribers = set((
-            self.factory.makePerson(),  bug_owner,
+            self.factory.makePerson(), bug_owner,
             bugtask_a.pillar.security_contact, bugtask_a.pillar.driver,
             bugtask_a.pillar.bug_supervisor))
 
@@ -718,7 +718,7 @@
         # When a bug is marked as private=false and security_related=false,
         # any existing subscriptions are left alone.
 
-        (bug, bug_owner,  bugtask_a, bugtask_b, default_bugtask) = (
+        (bug, bug_owner, bugtask_a, bugtask_b, default_bugtask) = (
             self.createBugTasksAndSubscribers(private_security_related=True))
         initial_subscribers = set((
             self.factory.makePerson(), bug_owner,
@@ -825,7 +825,7 @@
         # The bug supervisors are unsubscribed if a bug is made public and an
         # email is sent telling them they have been unsubscribed.
 
-        (bug, bug_owner,  bugtask_a, bugtask_b, default_bugtask) = (
+        (bug, bug_owner, bugtask_a, bugtask_b, default_bugtask) = (
             self.createBugTasksAndSubscribers(private_security_related=True))
 
         with person_logged_in(bug_owner):
@@ -870,7 +870,7 @@
         # set to false and an email is sent telling them they have been
         # unsubscribed.
 
-        (bug, bug_owner,  bugtask_a, bugtask_b, default_bugtask) = (
+        (bug, bug_owner, bugtask_a, bugtask_b, default_bugtask) = (
             self.createBugTasksAndSubscribers(private_security_related=True))
 
         with person_logged_in(bug_owner):

